pilot-clip(1)

NAME
pilot-clip - Get or Set the Palm Clipboard contents from STDOUT/STDIN.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-clip [-p|--port <port>] [--version] [-q|--quiet] [-?|--help] [--usage] [-g|--get] [-s|--set]

DESCRIPTION

 pilot-clip is used to get or set the Palm Clipboard contents from STDOUT/STDIN. You must provide one of -g or -s.

COMMANDS

You must provide one of -g or -s.
                    -g, --get

Get the contents of the clipboard and pass to STDOUT.
                    -s,
                    --set

Set the clipboard to STDIN.

OPTIONS

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-clip will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-clip will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-clip and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-clip and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

AUTHOR

This manual page was written by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7).